﻿@page
@model ShopAPI.Pages.ProductsPage

@{
    Layout = null;
ViewData["Title"] = "ProductsPage";
}

<h1>Products</h1>

<table class="table">
    <thead>
    <tr>
        <th>Id</th>
        <th>Name</th>
        <th>Price</th>
        <th>Stock</th>
    </tr>
    </thead>
    <tbody>
    @foreach (var product in Model.ProductsList)
    {
        <tr>
            <td>@product.Id</td>
            <td>@product.Name</td>
            <td>@product.Price</td>
            <td>@product.Stock</td>
        </tr>
    }
    </tbody>
</table>